## r-cran-maldiquant 1.9

=== DESCRIPTION ===
Package: MALDIquant
Version: 1.9
Date: 2014-01-14
Title: Quantitative Analysis of Mass Spectrometry Data
Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
                    email="mail@sebastiangibb.de"),
             person("Korbinian", "Strimmer", role="ths"))
Depends: R (>= 3.0.0), methods
Suggests: testthat
Description: MALDIquant provides a complete analysis pipeline for MALDI-TOF
  and other mass spectrometry data. Distinctive features include baseline
  subtraction methods such as TopHat or SNIP, peak alignment using warping
  functions, handling of replicated measurements as well as allowing spectra
  with different resolutions.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/maldiquant/
        https://github.com/sgibb/MALDIquant/
BugReports: https://github.com/sgibb/MALDIquant/issues/
LazyLoad: yes
Packaged: 2014-01-14 15:07:07 UTC; sebastian
Author: Sebastian Gibb [aut, cre],
  Korbinian Strimmer [ths]
Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-01-14 16:43:06

## r-cran-maldiquant 1.5

=== debian/changelog ===
r-cran-maldiquant (1.5-1) unstable; urgency=low

  * New upstream release.

  * Uploaded by Filippo Rusconi <lopippo@debian.org>.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 10 Dec 2012 17:01:20 +0100

r-cran-maldiquant (1.4-1) unstable; urgency=low

  * Initial release by Sebastian Gibb <sgibb.debian@gmail.com> 
    (Closes: #693919).
  
  * Uploaded by Filippo Rusconi <lopippo@debian.org>.

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Sun, 18 Nov 2012 21:55:27 +0100

=== debian/control ===
# DO NOT EDIT! This file is autogenerated by debian/rules:override_dh_clean.
# Use debian/control.in instead.

Source: r-cran-maldiquant
Section: gnu-r
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>= 8), r-base-dev (>= 2.14.0)
Standards-Version: 3.9.3
Homepage: http://cran.r-project.org/web/packages/MALDIquant/index.html
Vcs-Git: git://git.debian.org/git/debichem/packages/r-cran-maldiquant.git
Vcs-Browser: http://git.debian.org/?p=debichem/packages/r-cran-maldiquant.git

Package: r-cran-maldiquant
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${R:Depends}
Description: GNU R package for quantitative analysis of mass spectrometry data
 MALDIquant provides a complete analysis pipeline for MALDI-TOF and other 
 mass spectrometry data. Distinctive features include baseline subtraction 
 using the SNIP algorithm, peak alignment using warping functions, 
 handling of replicated measurements as well as allowing spectra with 
 different resolutions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-readbrukerflexdata package
# Copyright 2012 by Sebastian Gibb <sgibb.debian@gmail.com>

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

## add debian LDFLAGS
LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)

PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: *//p')
CRANVERSION ?= $(shell uscan --no-conf --dehs | sed -n 's/.*<upstream-version>\([0-9.]\+\)<\/upstream-version>.*/\1/p')
RVERSION := $(shell grep "Depends: R" DESCRIPTION | sed 's/.*(\([><= 0-9.]\+\)).*/\1/')
RLIB := usr/lib/R/site-library

%:
	dh $@ 

override_dh_clean:
	dh_clean
	## autogenerate debian/control
	echo "# DO NOT EDIT! This file is autogenerated by debian/rules:override_dh_clean." > debian/control
	echo "# Use debian/control.in instead.\n" >> debian/control
	sed "s/@R_DEPENDS_VERSION@/${RVERSION}/" debian/control.in >> debian/control

override_dh_installchangelogs:
		dh_installchangelogs NEWS

override_dh_auto_install:
	## create target directory
	dh_installdirs ${RLIB}

	## use debian/${PACKAGE}.substvars to support debian/control ${R:Depends}
	echo "R:Depends=r-base-core (${RVERSION})" >> debian/${PACKAGE}.substvars

	## install r package
	MAKEFLAGS="LDFLAGS+=${LDFLAGS}" R CMD INSTALL --library=${CURDIR}/debian/${PACKAGE}/${RLIB} --clean .

	## remove LICENSE file
	rm -rf ${CURDIR}/debian/${PACKAGE}/${RLIB}/*/LICENSE

get-orig-source:
	## download newest ${PACKAGE} from CRAN
	uscan --no-conf --force-download --no-symlink --destdir ../tarballs

## r-cran-maldiquant 1.7

=== debian/changelog ===
r-cran-maldiquant (1.7-1) unstable; urgency=low

  * New upstream release.
  * debian/lintian-overrides: add hardening-no-fortify-functions.
  * debian/{compat,control.in}: set debhelper (>=9).
  * debian/rules:
    - Remove useless LICENSE removing statement.
    - Add CFLAGS and CPPFLAGS.
    - Remove own LDFLAGS definition (is set automatically by debhelper >= 9).

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Tue, 28 May 2013 17:11:29 +0200

r-cran-maldiquant (1.6-1) unstable; urgency=low

  * New upstream release.

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Sat, 02 Mar 2013 11:36:28 +0100

=== debian/control ===
# DO NOT EDIT! This file is autogenerated by debian/rules:override_dh_clean.
# Use debian/control.in instead.

Source: r-cran-maldiquant
Section: gnu-r
Priority: optional
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>
Build-Depends: debhelper (>= 9), r-base-dev (>= 2.15.0)
Standards-Version: 3.9.4
Homepage: http://cran.r-project.org/web/packages/MALDIquant/index.html
Vcs-Git: git://git.debian.org/git/debichem/packages/r-cran-maldiquant.git
Vcs-Browser: http://git.debian.org/?p=debichem/packages/r-cran-maldiquant.git

Package: r-cran-maldiquant
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${R:Depends}
Description: GNU R package for quantitative analysis of mass spectrometry data
 MALDIquant provides a complete analysis pipeline for MALDI-TOF and other
 mass spectrometry data. Distinctive features include baseline subtraction
 using the SNIP algorithm, peak alignment using warping functions,
 handling of replicated measurements as well as allowing spectra with
 different resolutions.

=== debian/rules ===
--- 
+++ 
@@ -6,16 +6,13 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-## add debian LDFLAGS
-LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
-
 PACKAGE := $(shell dpkg-parsechangelog | sed -n 's/^Source: *//p')
 CRANVERSION ?= $(shell uscan --no-conf --dehs | sed -n 's/.*<upstream-version>\([0-9.]\+\)<\/upstream-version>.*/\1/p')
 RVERSION := $(shell grep "Depends: R" DESCRIPTION | sed 's/.*(\([><= 0-9.]\+\)).*/\1/')
 RLIB := usr/lib/R/site-library
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_clean:
 	dh_clean
@@ -35,10 +32,7 @@
 	echo "R:Depends=r-base-core (${RVERSION})" >> debian/${PACKAGE}.substvars
 
 	## install r package
-	MAKEFLAGS="LDFLAGS+=${LDFLAGS}" R CMD INSTALL --library=${CURDIR}/debian/${PACKAGE}/${RLIB} --clean .
-
-	## remove LICENSE file
-	rm -rf ${CURDIR}/debian/${PACKAGE}/${RLIB}/*/LICENSE
+	MAKEFLAGS="CFLAGS+=${CFLAGS} CPPFLAGS+=${CPPFLAGS} LDFLAGS+=${LDFLAGS}" R CMD INSTALL --library=${CURDIR}/debian/${PACKAGE}/${RLIB} --clean .
 
 get-orig-source:
 	## download newest ${PACKAGE} from CRAN

## r-cran-maldiquant 1.9

=== debian/changelog ===
r-cran-maldiquant (1.9-1) unstable; urgency=low

  * New upstream release.
  * Replace own build script by a cdbs based one:
    - debian/control.in: removed.
    - debian/control: add cdbs to Build-Depends.
    - debian/rules: use cdbs based build script.
  * debian/rules: set custom makeFlags to harden MALDIquant.so.
  * debian/control: set Standards-Version to 3.9.5.
  * Upload by Filippo Rusconi <lopippo@debian.org>
  
 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Tue, 14 Jan 2014 19:54:17 +0100

r-cran-maldiquant (1.8-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/lintian-overrides, hardening-no-fortify-functions is not
    needed anymore.
  * debian/control.in: use canonical URI in Vcs-* fields.
  * Upload by Filippo Rusconi <lopippo@debian.org>.

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Sun, 08 Sep 2013 18:00:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,13 @@
-# DO NOT EDIT! This file is autogenerated by debian/rules:override_dh_clean.
-# Use debian/control.in instead.
-
 Source: r-cran-maldiquant
 Section: gnu-r
 Priority: optional
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>= 9), r-base-dev (>= 2.15.0)
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), cdbs, r-base-dev (>= 3.0.0)
+Standards-Version: 3.9.5
 Homepage: http://cran.r-project.org/web/packages/MALDIquant/index.html
-Vcs-Git: git://git.debian.org/git/debichem/packages/r-cran-maldiquant.git
-Vcs-Browser: http://git.debian.org/?p=debichem/packages/r-cran-maldiquant.git
+Vcs-Git: git://anonscm.debian.org/debichem/packages/r-cran-maldiquant.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debichem/packages/r-cran-maldiquant.git
 
 Package: r-cran-maldiquant
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-maldiquant package
# Copyright 2014 by Sebastian Gibb <sgibb.debian@gmail.com>
include /usr/share/R/debian/r-cran.mk

DEB_INSTALL_DOCS_ALL :=
DEB_INSTALL_CHANGELOGS_ALL := NEWS

## set custom build flags to harden MALDIquant.so lib
makeFlagsCall := MAKEFLAGS="CFLAGS+=${CFLAGS} CPPFLAGS+=${CPPFLAGS} LDFLAGS+=${LDFLAGS}"

get-orig-source:
	## download newest version from CRAN
	uscan --no-conf --force-download --no-symlink --destdir ../tarballs

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/MALDIquant_([\d\.]*).tar.gz

## r-cran-maldiquant 1.10

=== debian/changelog ===
r-cran-maldiquant (1.10-2) unstable; urgency=low

  * debian/rules: remove custom build flags. This change will prevent the
    build errors encountered when using make 4.0
    (Message-ID: <87vbtsad2h.fsf@glaurung.internal.golden-gryphon.com>).

  * Upload by Filippo Rusconi <lopippo@debian.org>

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Tue, 29 Apr 2014 13:20:21 +0100

r-cran-maldiquant (1.10-1) unstable; urgency=low

  * New upstream release.
  * Upload by Filippo Rusconi <lopippo@debian.org>

 -- The Debichem Group <debichem-devel@lists.alioth.debian.org>  Sat, 12 Apr 2014 10:41:42 +0100

## r-cran-maldiquant 1.11

=== DESCRIPTION ===
Package: MALDIquant
Version: 1.11
Date: 2014-08-11
Title: Quantitative Analysis of Mass Spectrometry Data
Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
        email="mail@sebastiangibb.de"), person("Korbinian", "Strimmer",
        role="ths"))
Depends: R (>= 3.0.0), methods
Suggests: knitr, testthat (>= 0.8)
Description: MALDIquant provides a complete analysis pipeline for
        MALDI-TOF and other mass spectrometry data. Distinctive
        features include baseline subtraction methods such as TopHat or
        SNIP, peak alignment using warping functions, handling of
        replicated measurements as well as allowing spectra with
        different resolutions.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/maldiquant/
        https://github.com/sgibb/MALDIquant/
BugReports: https://github.com/sgibb/MALDIquant/issues/
LazyLoad: yes
VignetteBuilder: knitr
Packaged: 2014-08-11 17:56:25 UTC; sebastian
Author: Sebastian Gibb [aut, cre],
  Korbinian Strimmer [ths]
Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2014-08-11 21:39:21

=== debian/changelog ===
r-cran-maldiquant (1.11-1) unstable; urgency=low

  * New upstream release.
  * Move debian/upstream to debian/upstream/metadata.
  * Upload by Filippo Rusconi <lopippo@debian.org>

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 18 Aug 2014 13:04:34 +0200

## r-cran-maldiquant 1.12

=== DESCRIPTION ===
Package: MALDIquant
Version: 1.12
Date: 2015-06-11
Title: Quantitative Analysis of Mass Spectrometry Data
Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
        email="mail@sebastiangibb.de"), person("Korbinian", "Strimmer",
        role="ths"))
Depends: R (>= 3.0.0), methods
Imports: parallel
Suggests: knitr, testthat (>= 0.8)
Description: A complete analysis pipeline for MALDI-TOF and other mass
        spectrometry data. Distinctive features include baseline
        subtraction methods such as TopHat or SNIP, peak alignment
        using warping functions, handling of replicated measurements as
        well as allowing spectra with different resolutions.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/maldiquant/
        https://github.com/sgibb/MALDIquant/
BugReports: https://github.com/sgibb/MALDIquant/issues/
LazyLoad: yes
VignetteBuilder: knitr
NeedsCompilation: yes
Packaged: 2015-06-11 14:48:41 UTC; sebastian
Author: Sebastian Gibb [aut, cre],
  Korbinian Strimmer [ths]
Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
Repository: CRAN
Date/Publication: 2015-06-11 18:22:46

=== debian/changelog ===
r-cran-maldiquant (1.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control: set Standards-Version to 3.9.6.
  * debian/copyright:
      - Change GPL-3 to GPL-3+.
      - Remove duplicated license text.
  * upload by Filippo Rusconi <lopippo@debian.org>.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 15 Jun 2015 13:11:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
 Uploaders: Filippo Rusconi <lopippo@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, r-base-dev (>= 3.0.0)
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9),
+               cdbs (>=0.4.130),
+               r-base-dev (>= 3.2.0.20150613)
+Standards-Version: 3.9.6
 Homepage: http://cran.r-project.org/web/packages/MALDIquant/index.html
 Vcs-Git: git://anonscm.debian.org/debichem/packages/r-cran-maldiquant.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debichem/packages/r-cran-maldiquant.git

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,6 @@
 DEB_INSTALL_DOCS_ALL :=
 DEB_INSTALL_CHANGELOGS_ALL := NEWS
 
-## set custom build flags to harden MALDIquant.so lib
-makeFlagsCall := MAKEFLAGS="CFLAGS+=${CFLAGS} CPPFLAGS+=${CPPFLAGS} LDFLAGS+=${LDFLAGS}"
-
 get-orig-source:
 	## download newest version from CRAN
 	uscan --no-conf --force-download --no-symlink --destdir ../tarballs
-

## r-cran-maldiquant 1.16.1

=== DESCRIPTION ===
Package: MALDIquant
Version: 1.16.1
Date: 2016-12-23
Title: Quantitative Analysis of Mass Spectrometry Data
Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
        email="mail@sebastiangibb.de"), person("Korbinian", "Strimmer",
        role="ths"))
Depends: R (>= 3.2.0), methods
Imports: parallel
Suggests: knitr, testthat (>= 0.8)
Description: A complete analysis pipeline for matrix-assisted laser
        desorption/ionization-time-of-flight (MALDI-TOF) and other
        two-dimensional mass spectrometry data. In addition to commonly
        used plotting and processing methods it includes distinctive
        features, namely baseline subtraction methods such as
        morphological filters (TopHat) or the statistics-sensitive
        non-linear iterative peak-clipping algorithm (SNIP), peak
        alignment using warping functions, handling of replicated
        measurements as well as allowing spectra with different
        resolutions.
License: GPL (>= 3)
URL: http://strimmerlab.org/software/maldiquant/
        https://github.com/sgibb/MALDIquant/
BugReports: https://github.com/sgibb/MALDIquant/issues/
LazyLoad: yes
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2017-01-10 17:39:02 UTC; sebastian
Author: Sebastian Gibb [aut, cre],
  Korbinian Strimmer [ths]
Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
Repository: CRAN
Date/Publication: 2017-01-11 00:43:58

=== debian/changelog ===
r-cran-maldiquant (1.16.1-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Gibb <sgibb.debian@gmail.com>  Sun, 15 Jan 2017 17:00:16 +0100

r-cran-maldiquant (1.16-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Gibb <sgibb.debian@gmail.com>  Wed, 14 Dec 2016 13:22:47 +0100

r-cran-maldiquant (1.15-1) unstable; urgency=low

  * Team upload

  [ Sebastian Gibb ]
  * New upstream release.
  * debian/control:
      - Set Standards-Version to 3.9.8.
      - Use HTTPS in Homepage, Vcs-Git and Vcs-Browser field.
      - Use canonical URL in Homepage.
      - Fix URL in Vcs-Git.

  [ Andreas Tille ]
  * cme fix dpkg-control
  * Convert to dh-r
  * debhelper 10
  * Update d/copyright
  * d/watch: version=4
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2016 14:14:31 +0100

=== debian/control ===
Source: r-cran-maldiquant
Maintainer: The Debichem Group <debichem-devel@lists.alioth.debian.org>
Uploaders: Filippo Rusconi <lopippo@debian.org>,
           Sebastian Gibb <sgibb.debian@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev (>= 3.0.0)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/r-cran-maldiquant.git
Vcs-Git: https://anonscm.debian.org/git/anonscm/git/debichem/packages/r-cran-maldiquant.git
Homepage: https://cran.r-project.org/package=MALDIquant

Package: r-cran-maldiquant
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${R:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for quantitative analysis of mass spectrometry data
 MALDIquant provides a complete analysis pipeline for MALDI-TOF and other
 mass spectrometry data. Distinctive features include baseline subtraction
 using the SNIP algorithm, peak alignment using warping functions,
 handling of replicated measurements as well as allowing spectra with
 different resolutions.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/MALDIquant_([\d\.]*).tar.gz

## r-cran-maldiquant 1.16.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: MALDIquant
-Version: 1.16.1
-Date: 2016-12-23
+Version: 1.16.4
+Date: 2017-08-27
 Title: Quantitative Analysis of Mass Spectrometry Data
 Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
         email="mail@sebastiangibb.de"), person("Korbinian", "Strimmer",
@@ -26,9 +26,9 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2017-01-10 17:39:02 UTC; sebastian
+Packaged: 2017-08-31 19:16:31 UTC; sebastian
 Author: Sebastian Gibb [aut, cre],
   Korbinian Strimmer [ths]
 Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
 Repository: CRAN
-Date/Publication: 2017-01-11 00:43:58
+Date/Publication: 2017-09-01 09:48:06 UTC

=== debian/changelog ===
r-cran-maldiquant (1.16.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version: 4.1.1
  * Add README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Sun, 01 Oct 2017 00:19:03 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 10),
                dh-r,
                r-base-dev (>= 3.0.0)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/r-cran-maldiquant.git
 Vcs-Git: https://anonscm.debian.org/git/anonscm/git/debichem/packages/r-cran-maldiquant.git
 Homepage: https://cran.r-project.org/package=MALDIquant

## r-cran-maldiquant 1.17

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: MALDIquant
-Version: 1.16.4
-Date: 2017-08-27
+Version: 1.17
+Date: 2017-11-12
 Title: Quantitative Analysis of Mass Spectrometry Data
 Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
         email="mail@sebastiangibb.de"), person("Korbinian", "Strimmer",
@@ -26,9 +26,9 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2017-08-31 19:16:31 UTC; sebastian
+Packaged: 2017-11-12 21:35:20 UTC; sebastian
 Author: Sebastian Gibb [aut, cre],
   Korbinian Strimmer [ths]
 Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
 Repository: CRAN
-Date/Publication: 2017-09-01 09:48:06 UTC
+Date/Publication: 2017-11-13 00:02:58 UTC

=== debian/changelog ===
r-cran-maldiquant (1.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version: 4.1.3
  * debhelper 11
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Sun, 11 Mar 2018 18:08:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
            Sebastian Gibb <sgibb.debian@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev (>= 3.0.0)
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debichem/packages/r-cran-maldiquant.git
 Vcs-Git: https://anonscm.debian.org/git/anonscm/git/debichem/packages/r-cran-maldiquant.git
 Homepage: https://cran.r-project.org/package=MALDIquant

## r-cran-maldiquant 1.18

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Package: MALDIquant
-Version: 1.17
-Date: 2017-11-12
+Version: 1.18
+Date: 2018-07-06
 Title: Quantitative Analysis of Mass Spectrometry Data
 Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
-        email="mail@sebastiangibb.de"), person("Korbinian", "Strimmer",
-        role="ths"))
+        email="mail@sebastiangibb.de",
+        comment=c(ORCID="0000-0001-7406-4443")), person("Korbinian",
+        "Strimmer", role="ths"))
 Depends: R (>= 3.2.0), methods
 Imports: parallel
 Suggests: knitr, testthat (>= 0.8)
@@ -26,9 +27,9 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2017-11-12 21:35:20 UTC; sebastian
-Author: Sebastian Gibb [aut, cre],
+Packaged: 2018-07-06 18:24:51 UTC; sebastian
+Author: Sebastian Gibb [aut, cre] (<https://orcid.org/0000-0001-7406-4443>),
   Korbinian Strimmer [ths]
 Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
 Repository: CRAN
-Date/Publication: 2017-11-13 00:02:58 UTC
+Date/Publication: 2018-07-06 19:30:02 UTC

=== debian/changelog ===
r-cran-maldiquant (1.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jul 2018 09:02:22 +0200

r-cran-maldiquant (1.17-2) unstable; urgency=medium

  * Team upload.
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Drop unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Thu, 21 Jun 2018 05:32:51 +0200

=== debian/control ===
Source: r-cran-maldiquant
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Filippo Rusconi <lopippo@debian.org>,
           Sebastian Gibb <sgibb.debian@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maldiquant
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maldiquant.git
Homepage: https://cran.r-project.org/package=MALDIquant

Package: r-cran-maldiquant
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R package for quantitative analysis of mass spectrometry data
 MALDIquant provides a complete analysis pipeline for MALDI-TOF and other
 mass spectrometry data. Distinctive features include baseline subtraction
 using the SNIP algorithm, peak alignment using warping functions,
 handling of replicated measurements as well as allowing spectra with
 different resolutions.

## r-cran-maldiquant 1.19.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Package: MALDIquant
-Version: 1.18
-Date: 2018-07-06
+Version: 1.19.3
+Date: 2019-05-12
 Title: Quantitative Analysis of Mass Spectrometry Data
 Authors@R: c(person("Sebastian", "Gibb", role=c("aut", "cre"),
         email="mail@sebastiangibb.de",
         comment=c(ORCID="0000-0001-7406-4443")), person("Korbinian",
-        "Strimmer", role="ths"))
+        "Strimmer", role="ths",
+        comment=c(ORCID="0000-0001-7917-2056")))
 Depends: R (>= 3.2.0), methods
 Imports: parallel
 Suggests: knitr, testthat (>= 0.8)
@@ -25,11 +26,11 @@
 BugReports: https://github.com/sgibb/MALDIquant/issues/
 LazyLoad: yes
 VignetteBuilder: knitr
-RoxygenNote: 5.0.1
+RoxygenNote: 6.1.1
 NeedsCompilation: yes
-Packaged: 2018-07-06 18:24:51 UTC; sebastian
+Packaged: 2019-05-12 19:16:55 UTC; sebastian
 Author: Sebastian Gibb [aut, cre] (<https://orcid.org/0000-0001-7406-4443>),
-  Korbinian Strimmer [ths]
+  Korbinian Strimmer [ths] (<https://orcid.org/0000-0001-7917-2056>)
 Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
 Repository: CRAN
-Date/Publication: 2018-07-06 19:30:02 UTC
+Date/Publication: 2019-05-12 19:50:03 UTC

=== debian/changelog ===
r-cran-maldiquant (1.19.3-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Fri, 04 Sep 2020 09:05:40 +0200

r-cran-maldiquant (1.19.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jul 2019 20:57:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Uploaders: Filippo Rusconi <lopippo@debian.org>,
            Sebastian Gibb <sgibb.debian@gmail.com>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maldiquant
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maldiquant.git
 Homepage: https://cran.r-project.org/package=MALDIquant
+Rules-Requires-Root: no
 
 Package: r-cran-maldiquant
 Architecture: any

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/MALDIquant_([\d\.]*).tar.gz

## r-cran-maldiquant 1.21

=== DESCRIPTION ===
Package: MALDIquant
Version: 1.21
Date: 2021-12-21
Title: Quantitative Analysis of Mass Spectrometry Data
Authors@R: c(
    person(
        given = "Sebastian", family = "Gibb",
        email="mail@sebastiangibb.de",
        comment=c(ORCID="0000-0001-7406-4443"),
        role = c("aut", "cre")
    ),
    person(
        given = "Korbinian", family = "Strimmer",
        comment=c(ORCID="0000-0001-7917-2056"),
        role="ths"
    ),
    person(given = "Sigurdur", family = "Smarason", role = "ctb"),
    person(
        given = "Laurent", family = "Gatto",
        email = "laurent.gatto@uclouvain.be",
        comment = c(ORCID = "0000-0002-1520-2268"),
        role = "ctb"
    ),
    person(given = "Paolo", "family = Inglese", role = "ctb"))
Depends: R (>= 4.0.0), methods
Imports: parallel
Suggests: knitr, testthat (>= 0.8)
Description: A complete analysis pipeline for matrix-assisted laser
        desorption/ionization-time-of-flight (MALDI-TOF) and other
        two-dimensional mass spectrometry data. In addition to commonly
        used plotting and processing methods it includes distinctive
        features, namely baseline subtraction methods such as
        morphological filters (TopHat) or the statistics-sensitive
        non-linear iterative peak-clipping algorithm (SNIP), peak
        alignment using warping functions, handling of replicated
        measurements as well as allowing spectra with different
        resolutions.
License: GPL (>= 3)
URL: https://strimmerlab.github.io/software/maldiquant/
        https://github.com/sgibb/MALDIquant/
BugReports: https://github.com/sgibb/MALDIquant/issues/
LazyLoad: yes
VignetteBuilder: knitr
RoxygenNote: 7.1.2
NeedsCompilation: yes
Packaged: 2021-12-21 14:08:23 UTC; sebastian
Author: Sebastian Gibb [aut, cre] (<https://orcid.org/0000-0001-7406-4443>),
  Korbinian Strimmer [ths] (<https://orcid.org/0000-0001-7917-2056>),
  Sigurdur Smarason [ctb],
  Laurent Gatto [ctb] (<https://orcid.org/0000-0002-1520-2268>),
  Paolo family = Inglese [ctb]
Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
Repository: CRAN
Date/Publication: 2021-12-23 08:52:07 UTC

=== debian/changelog ===
r-cran-maldiquant (1.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 01 Jan 2022 08:53:45 +0100

r-cran-maldiquant (1.20-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 17:29:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maldiquant
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maldiquant.git
 Homepage: https://cran.r-project.org/package=MALDIquant

## r-cran-maldiquant 1.22

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: MALDIquant
-Version: 1.21
-Date: 2021-12-21
+Version: 1.22
+Date: 2022-11-10
 Title: Quantitative Analysis of Mass Spectrometry Data
 Authors@R: c(
     person(
@@ -21,7 +21,7 @@
         comment = c(ORCID = "0000-0002-1520-2268"),
         role = "ctb"
     ),
-    person(given = "Paolo", "family = Inglese", role = "ctb"))
+    person(given = "Paolo", family = "Inglese", role = "ctb"))
 Depends: R (>= 4.0.0), methods
 Imports: parallel
 Suggests: knitr, testthat (>= 0.8)
@@ -41,14 +41,14 @@
 BugReports: https://github.com/sgibb/MALDIquant/issues/
 LazyLoad: yes
 VignetteBuilder: knitr
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 NeedsCompilation: yes
-Packaged: 2021-12-21 14:08:23 UTC; sebastian
+Packaged: 2022-11-10 10:31:07 UTC; sebastian
 Author: Sebastian Gibb [aut, cre] (<https://orcid.org/0000-0001-7406-4443>),
   Korbinian Strimmer [ths] (<https://orcid.org/0000-0001-7917-2056>),
   Sigurdur Smarason [ctb],
   Laurent Gatto [ctb] (<https://orcid.org/0000-0002-1520-2268>),
-  Paolo family = Inglese [ctb]
+  Paolo Inglese [ctb]
 Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
 Repository: CRAN
-Date/Publication: 2021-12-23 08:52:07 UTC
+Date/Publication: 2022-11-10 11:00:02 UTC

=== debian/changelog ===
r-cran-maldiquant (1.22-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 15 Nov 2022 11:54:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-maldiquant
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Filippo Rusconi <lopippo@debian.org>,
            Sebastian Gibb <sgibb.debian@gmail.com>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maldiquant
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maldiquant.git
+Homepage: https://cran.r-project.org/package=MALDIquant
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maldiquant
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maldiquant.git
-Homepage: https://cran.r-project.org/package=MALDIquant
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-maldiquant
 Architecture: any

## r-cran-maldiquant 1.22.1

=== debian/changelog ===
r-cran-maldiquant (1.22.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Sat, 24 Jun 2023 23:16:14 +0200

## r-cran-maldiquant 1.22.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: MALDIquant
-Version: 1.22
-Date: 2022-11-10
+Version: 1.22.2
+Date: 2024-01-22
 Title: Quantitative Analysis of Mass Spectrometry Data
 Authors@R: c(
     person(
@@ -36,14 +36,15 @@
         measurements as well as allowing spectra with different
         resolutions.
 License: GPL (>= 3)
-URL: https://strimmerlab.github.io/software/maldiquant/
+URL: https://strimmerlab.github.io/software/maldiquant/,
         https://github.com/sgibb/MALDIquant/
 BugReports: https://github.com/sgibb/MALDIquant/issues/
 LazyLoad: yes
 VignetteBuilder: knitr
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.0
+Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2022-11-10 10:31:07 UTC; sebastian
+Packaged: 2024-01-22 21:01:17 UTC; sebastian
 Author: Sebastian Gibb [aut, cre] (<https://orcid.org/0000-0001-7406-4443>),
   Korbinian Strimmer [ths] (<https://orcid.org/0000-0001-7917-2056>),
   Sigurdur Smarason [ctb],
@@ -51,4 +52,4 @@
   Paolo Inglese [ctb]
 Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
 Repository: CRAN
-Date/Publication: 2022-11-10 11:00:02 UTC
+Date/Publication: 2024-01-22 21:42:48 UTC

=== debian/changelog ===
r-cran-maldiquant (1.22.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 26 Jan 2024 23:01:14 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maldiquant
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maldiquant.git
 Homepage: https://cran.r-project.org/package=MALDIquant
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-maldiquant 1.22.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: MALDIquant
-Version: 1.22.2
-Date: 2024-01-22
+Version: 1.22.3
+Date: 2024-08-19
 Title: Quantitative Analysis of Mass Spectrometry Data
 Authors@R: c(
     person(
@@ -41,10 +41,10 @@
 BugReports: https://github.com/sgibb/MALDIquant/issues/
 LazyLoad: yes
 VignetteBuilder: knitr
-RoxygenNote: 7.3.0
+RoxygenNote: 7.3.2
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2024-01-22 21:01:17 UTC; sebastian
+Packaged: 2024-08-19 20:58:22 UTC; sebastian
 Author: Sebastian Gibb [aut, cre] (<https://orcid.org/0000-0001-7406-4443>),
   Korbinian Strimmer [ths] (<https://orcid.org/0000-0001-7917-2056>),
   Sigurdur Smarason [ctb],
@@ -52,4 +52,4 @@
   Paolo Inglese [ctb]
 Maintainer: Sebastian Gibb <mail@sebastiangibb.de>
 Repository: CRAN
-Date/Publication: 2024-01-22 21:42:48 UTC
+Date/Publication: 2024-08-19 23:00:03 UTC

=== debian/changelog ===
r-cran-maldiquant (1.22.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Sep 2024 13:40:30 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-maldiquant
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-maldiquant.git
 Homepage: https://cran.r-project.org/package=MALDIquant
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-knitr,
        r-cran-testthat (>= 0.8)
Restrictions: allow-stderr
